## org.apache.taglibs.standard.lang.jstl
Class EmptyOperator

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.UnaryOperator
          org.apache.taglibs.standard.lang.jstl.EmptyOperator

    public class EmptyOperator

extends UnaryOperator

The implementation of the empty operator

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group

Field Summary
`static EmptyOperator` `SINGLETON`

Constructor Summary
`EmptyOperator()` Constructor

Method Summary
`Object` `apply(Object pValue, Object pContext, Logger pLogger)` Applies the operator to the given value
`String` `getOperatorSymbol()` Returns the symbol representing the operator

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SINGLETON

    public static final EmptyOperator SINGLETON

Constructor Detail

### EmptyOperator

    public EmptyOperator()

  Constructor

Method Detail

### getOperatorSymbol

    public String getOperatorSymbol()

  Returns the symbol representing the operator

  Specified by:
    `getOperatorSymbol` in class `UnaryOperator`

### apply

    public Object apply(Object pValue,
                        Object pContext,
                        Logger pLogger)
                 throws ELException

  Applies the operator to the given value

  Specified by:
    `apply` in class `UnaryOperator`
  Throws:
    `ELException`

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.